<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Controller;

include 'App//model//clientes.php';
  
include 'App//model//produtos.php';
include 'App//model//categorias.php';
/**
 * Description of indexController
 *
 * @author alfamidia
 */
class indexController {
    public $clientes;
    public $detalhe_cliente;
    
    protected $view;
    public $produtos;
    public $categorias;
    public $detalhe_produto;
    public $detalhe_categoria;
    public $conteudo_incluido;
    const CONTEUDO = 1;
    const TITULO = 2;
    
    //put your code here
    public function index() {
        $this->render('index.php','template2.php');
    }
    public function lista() {
        $modelClientes = new \App\model\clientes();
        $this->clientes = $modelClientes->RetornaClientes();
        $this->render('lista.php','template2.php');
    }
    public function categorias() {
        $modelCategorias = new \App\model\categorias();
        $this->categorias = $modelCategorias->RetornaCategorias();
        $this->render('categoria.php','template2.php');
    }
    
    public function conteudo() {
        $modelClientes = new \App\model\clientes();
        $this->detalhe_cliente = $modelClientes->LerDetalheCliente($_GET['idClientes']);
        $this->render('conteudo.php','template2.php');
    }
    public function remover() {
        $modelClientes = new \App\model\clientes();
        $modelClientes->RemoverCliente($_GET['idClientes']);
        $this->render('remover.php','template2.php');
    }
    
    public function incluir() {
        $modelClientes = new \App\model\clientes();
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $idGerado = $modelClientes->IncluirClientes($_POST['nome'],$_POST['telefone']);
            $this->detalhe_cliente = $modelClientes->LerDetalheCliente($idGerado);
            $this->mensagem = "Cliente incluido";
            $this->render('editado.php','template2.php');
            return;
        }
        $this->render('incluir.php','template2.php');
    }
    public function incluircategoria() {
        $modelcategorias = new \App\model\categorias();
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $idGerado = $modelcategorias->IncluirCategorias($_POST['nome']);
            $this->detalhe_categoria = $modelcategorias->LerDetalheCategoria($idGerado);           
            $this->mensagem = "Categoria incluida";
            $this->render('editadocategoria.php','template2.php');
            return;
        }
        $this->render('incluircategoria.php','template2.php');
    }
    
    
    public function editar() {
        $modelClientes = new \App\model\clientes();
        
        if ($_SERVER['REQUEST_METHOD'] === 'POST'){
            $modelClientes->AtualizarClientes($_GET['idClientes'],$_POST['nome'],$_POST['telefone']);
            $this->detalhe_cliente = $modelClientes->LerDetalheCliente($_GET['idClientes']);
            $this->mensagem = "Cliente atualizado";
            $this->render('editado.php','template2.php');
            return;
        }
        $this->detalhe_cliente = $modelClientes->LerDetalheCliente($_GET['idClientes']);
        $this->render('editar.php','template2.php');

    }
    
    
    public function content() {
        $this->conteudo_incluido = self::CONTEUDO;
        include $this->view;
    }
    
    public function title() {
        $this->conteudo_incluido = self::TITULO;
        include $this->view;
    }
        
    public function render($view, $template) {
        $this->view = 'App//view//www//' . $view;
        include 'App//view//' . $template;
    }
    
}


