<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\model;

/**
 * Description of produtos
 *
 * @author alfamidia
 */
class categorias {
    private $categorias;
    private $detalhe_categoria;
    private $PDO;
    private $ultimo_erro;
    
    public function Conexao() {
        try {
           $this->PDO = new \PDO("mysql:host=localhost;dbname=modelo","root");
        } 
        catch (\PDOException $exc) {
            $this->ultimo_erro = "erro na conexão<br>";
            return false;
        }
        return true;
    }

    public function LerCategorias() {
        
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "SELECT idCategoria, nome FROM categorias";
        $i = 0;
        foreach($this->PDO->query($sql) as $row){
            $this->categorias[$i]['nome'] = $row['nome'];
            $this->categorias[$i]['idCategoria'] = $row['idCategoria'];
            $i++;
            
        }
    }
    
    public function RemoverCategoria($idCategoria) {
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }

        
        $sql = "DELETE FROM categorias WHERE idCategoria= ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idCategoria);
        $retorno->execute();
        
    }
    
        public function LerDetalheCategoria($idCategoria) {
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }

        
        $sql = "SELECT nome FROM categorias WHERE idCategoria= ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idCategoria);
        $retorno->execute();
        $resultado = $retorno->fetch();
        $this->detalhe_categoria['nome'] = $resultado['nome'];
        
        return $this->detalhe_categoria;
        
    }

    
    public function AtualizarCategorias($idCategoria, $nome){
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        $retorno = $this->PDO->prepare('UPDATE categorias SET nome = :nome, WHERE idCategoria = :id');
        $retorno->bindParam(':nome',$nome);
        $retorno->bindParam(':id',$idCategoria);
        $retorno->execute();
    }

    public function IncluirCategorias($nome){
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        $retorno = $this->PDO->prepare('INSERT INTO categorias (nome) values (:nome)');
        $retorno->bindParam(':nome',$nome);
        $this->PDO->beginTransaction();
        $retorno->execute();
        $idGerado = $this->PDO->lastInsertId();
        $this->PDO->commit();
        return $idGerado;
    }

    
    public function RetornaCategorias() {
        $this->LerCategorias();
        return $this->categorias;
    }
}
